by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Lucas Vogel
    @vogelino
    Hoy hoy
    Fabian Morón Zirfas
    @fabianmoronzirfas
    Hey @vogelino I have some part working. See https://github.com/fabiantheblind/extendscript6-proof-of-concept
    Lucas Vogel
    @vogelino
    Nice! Really nice :clap:
    I am now trying with another pollyfill: https://github.com/zloirock/core-js/blob/master/client/shim.js
    Could work who knows...
    Lucas Vogel
    @vogelino
    Nooo… Unfortunately I get the same error as with the babel polyfill
    It seems that they have shared polyfills
    Fabian Morón Zirfas
    @fabianmoronzirfas
    We should write our own polyfill and only add the things we need. The other polyfills are for browsers. We need an ExtendScript pf
    Lucas Vogel
    @vogelino
    If you are right it seems to me that it will be hard work to support a full es2015 env. Let's have a look together tomorrow. I have no experience with polyfills. I did not achieved to run your proof of concept even on Illustrator.
    Fabian Morón Zirfas
    @fabianmoronzirfas
    Come bye today I have some ideas how to manage.
    Fabian Morón Zirfas
    @fabianmoronzirfas
    @vogelino do you want to stay owner on the ExtendScript community or move to member? I kept you as owner because you are the maintainer of this project.
    Maldonado I think we should move the prototype repo to the exs org as well.
    Fabian Morón Zirfas
    @fabianmoronzirfas
    @vogelino Can you please share some information about the build/relase process you set up for extendscriptr? When running npm run semantic-release I get an error. Pushing to the repo does something on travis but I'm not sure what. :-/ There is no version in the package.json and so on. Would be great to know what to do if I want to release v 1.0.4 and test it with the engines filed in the package.json